<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" id="WebApp_ID" version="2.5">
  <display-name>BAPAppWeb</display-name>
  <filter>
    <filter-name>FrontFilter</filter-name>
    <filter-class>com.eactive.eai.agent.web.FrontFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>FrontFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>

    <listener>
        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
    </listener>
    
    <context-param>
        <param-name>contextConfigLocation</param-name>
        <param-value>/WEB-INF/applicationContext.xml</param-value>
    </context-param>    
    
    <servlet>
        <description></description>
        <servlet-name>WebAgent</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.WebAgent</servlet-class>
    </servlet>
    <servlet>
        <description></description>
        <servlet-name>DBRefreshAgent</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.DBRefreshAgent</servlet-class>
    </servlet>
    <servlet>
        <description></description>
        <servlet-name>FepSendFile</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.FepSendFile</servlet-class>
    </servlet>
    <servlet>
        <description></description>
        <servlet-name>FepReqRecvFile</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.FepReqRecvFile</servlet-class>
    </servlet>
    <servlet>
        <description></description>
        <servlet-name>CheckFileSysHealth</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.CheckFileSysHealth</servlet-class>
    </servlet>
    <servlet>
        <description></description>
        <servlet-name>FepFileSend</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.FepFileSend</servlet-class>
    </servlet>
    <servlet>
        <description></description>
        <servlet-name>FepFileReceive</servlet-name>
        <servlet-class>com.eactive.eai.agent.web.FepFileReceive</servlet-class>
    </servlet>
    
    
    <servlet-mapping>
        <servlet-name>WebAgent</servlet-name>
        <url-pattern>/WebAgent</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DBRefreshAgent</servlet-name>
        <url-pattern>/DBRefreshAgent</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>FepSendFile</servlet-name>
        <url-pattern>/FepSendFile</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>FepReqRecvFile</servlet-name>
        <url-pattern>/FepReqRecvFile</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>CheckFileSysHealth</servlet-name>
        <url-pattern>/CheckFileSysHealth</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>FepFileSend</servlet-name>
        <url-pattern>/FepFileSend</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>FepFileReceive</servlet-name>
        <url-pattern>/FepFileReceive</url-pattern>
    </servlet-mapping>
    
</web-app>